package mactrans.system;

/**
 * This class provides information about input/output language (or
 * source and target language). You can also retrieve the input/output
 * sentence. Further configuration options will be added in future versions.
 * 
 * @author Jan Kienecker (3kieneck@informatik.uni-hamburg.de)
 * @version $Revision: 1.1 $
 * 
 * <pre>
 * $Log: IOBase.java,v $
 * Revision 1.1  2005/01/05 12:10:38  jkieneck
 * added to repository
 *
 * </pre>
 */
public class IOBase {
	/* local vars */
	private String language;
	private String sentence;
	
	/**
	 * Creates the IOBase
	 *
	 */
	public IOBase() {
		language = new String( "unknown " );
		sentence = new String();
	}
	
	/**
	 * @return the language, DE or EN
	 */
	public String getLanguage() {
		return language;
	}

	/**
	 * @return the input or output phrase
	 */
	public String getSentence() {
		return sentence;
	}

	/**
	 * @param string DE or EN
	 */
	public void setLanguage(String string) {
		language = string;
	}

	/**
	 * @param string the phrase to assign to the base
	 */
	public void setSentence(String string) {
		sentence = string;
	}
}
	