package mactrans.system;

import java.util.Iterator;
import mactrans.database.Dictionary;
import mactrans.database.*;
import mactrans.matching.SignBased.SignBasedMatching;
import mactrans.matching.ed.Edit;
import mactrans.matching.aos.AoSMatching;
import mactrans.parser.GrammarDE;
import mactrans.parser.GrammarEN;
import mactrans.parser.SampleParser;
import mactrans.alignment.*;
import mactrans.recombination.*;

/**
 * @author Jan Kienecker (3kieneck@informatik.uni-hamburg.de)
 * @version $Revision: 1.4 $
 * 
 * <pre>
 * $Log: MachineTranslationCore.java,v $
 * Revision 1.4  2005/02/14 18:52:11  dfriehe
 * adapted for recombination
 *
 * Revision 1.3  2005/02/11 17:52:25  dfriehe
 * inits all modules, better debug output
 *
 * Revision 1.2  2005/02/08 20:49:14  dfriehe
 * improved
 *
 * Revision 1.1  2005/02/04 15:43:15  dfriehe
 * added to repository
 *
 * </pre>
 */

public class MachineTranslationCore extends MachineTranslationClass {
	public MachineTranslationCore() {
		setModuleName( "MachineTranslationCore" );
		debug( "Initializing IOBases" );
		MachineTranslationKit._input = new IOBase();
		MachineTranslationKit._output = new IOBase();
		debug( "Initializing Dictionaries" );
		MachineTranslationKit._dictionaryDE = new Dictionary( "DictDE", "src/mactrans/database/dict-de-test.xml" );
		MachineTranslationKit._dictionaryEN = new Dictionary( "DictEN", "src/mactrans/database/dict-en-test.xml" );
		/** So did Eye
		Iterator it = dictionaryEN().iterator();
		String outputter = new String();
		while ( it.hasNext() ) {
			WordRecord w = (WordRecord) it.next();
			String xen = w.getElement().getName();
			String xcat = w.getG_cat();
			String xid = w.getEquiv();
			WordRecord de = dictionaryDE().getByID( xid );
			String xde = new String("");
			if ( de != null ) {
				xde = de.getElement().getName();
			}
			
			outputter += "INSERT INTO Ukraine SET En='" + xen + "',De='" + xde + "',Type='" + xcat + "';\n";
		}
		debug ( outputter );
		**/
		debug( "Initializing SentenceDatabases" );
		MachineTranslationKit._sentenceDatabaseDE = new SentenceDatabase( "SdbDE", "src/mactrans/database/sdb-de-test.xml" );
		MachineTranslationKit._sentenceDatabaseEN = new SentenceDatabase( "SdbEN", "src/mactrans/database/sdb-eng-test.xml" );
		debug( "Initializing Grammars" );
		MachineTranslationKit._grammarDE = new GrammarDE();
		MachineTranslationKit._grammarEN = new GrammarEN();

		debug( "Initializing SampleParser" );
		MachineTranslationKit._sampleParser = new SampleParser();
		debug( "Initializing Results" );
		MachineTranslationKit._results = new Results();
		debug( "Initializing SignBasedMatching" );
		MachineTranslationKit._signBasedMatching = new SignBasedMatching();
		debug( "Initializing Edit Distance" );
		MachineTranslationKit._editDistance = new Edit();
		debug( "Initializing Angle Of Similarity" );
		MachineTranslationKit._wordMatching = new AoSMatching();
		debug( "Initializing Alignment" );
		MachineTranslationKit._alignment = new Alignments();
		debug( "Initializing Recombination" );
		MachineTranslationKit._recombination = new Recombination();
	}
}