package mactrans.system;

import mactrans.database.*;
import mactrans.parser.*;
import mactrans.alignment.*;
import mactrans.matching.SignBased.*;
import mactrans.matching.aos.*;
import mactrans.matching.ed.*;
import mactrans.recombination.*;

/**
 * 
 * @author Jan Kienecker (3kieneck@informatik.uni-hamburg.de)
 * @version $Revision: 1.8 $
 * 
 * <pre>
 * $Log: MachineTranslationKit.java,v $
 * Revision 1.8  2005/02/14 18:52:24  dfriehe
 * adapted for recombination
 *
 * Revision 1.7  2005/02/04 15:43:35  dfriehe
 * keep algol in mind
 *
 * Revision 1.6  2005/02/01 15:35:55  dfriehe
 * added SampleParser (globally accessible by now)
 *
 * Revision 1.5  2005/01/26 19:34:36  jkieneck
 * updated to fit for current progress (EditDistance contributed)
 *
 * Revision 1.4  2005/01/24 04:50:14  jkieneck
 * added support for recombination
 *
 * Revision 1.3  2005/01/19 13:19:26  jkieneck
 * adapted to new interface
 *
 * Revision 1.2  2005/01/05 12:26:37  jkieneck
 * updated to project status (A. Weidacher left)
 *
 * Revision 1.1.1.1  2004/12/14 23:28:03  mactrans
 * added to repository
 *
 * </pre>
 */

public final class MachineTranslationKit {
	// modules provided by J. Kienecker
	public static MachineTranslationSystem _system;
	public static IOBase _input, _output;
	public static Results _results;
	
	// modules provided by I. Zibilianu
	public static SentenceDatabase _sentenceDatabaseDE, _sentenceDatabaseEN;
	public static Dictionary _dictionaryDE, _dictionaryEN;
	
	// modules provided by D. Friehe
	public static AbstractGrammar _grammarDE, _grammarEN;
	public static Parser _parserDE, _parserEN;
	public static SampleParser _sampleParser;
	
	// modules provided by T. Seidensticker
	public static SignBasedMatching _signBasedMatching;
	
	// modules provided by A. Weidacher [quit]
	// public static SemanticMatching _semanticMatching;
	
	// modules provided by V. Schwarz
	public static AoSMatching _wordMatching;
	
	// modules provided by M. Bonnesen
	public static Edit _editDistance;
	
	// modules provided by M. Morisse
	public static Alignments _alignment;
	
	// modules provided by J. Becker-Tietz & M. Guettler
	public static Recombination _recombination;
	
	public static MachineTranslationProcessor _algorithm;
}
	